package com.fs.qw.mapper;

import com.fs.qw.domain.QwContactWayUser;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Select;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 联系我限制Mapper接口
 *
 * @author fs
 * @date 2024-07-23
 */
@Repository
public interface QwContactWayUserMapper
{
    /**
     * 查询联系我限制
     *
     * @param id 联系我限制主键
     * @return 联系我限制
     */
    public QwContactWayUser selectQwContactWayUserById(Long id);

    /**
     * 查询联系我限制列表
     *
     * @param qwContactWayUser 联系我限制
     * @return 联系我限制集合
     */
    public List<QwContactWayUser> selectQwContactWayUserList(QwContactWayUser qwContactWayUser);

    /**
     * 新增联系我限制
     *
     * @param qwContactWayUser 联系我限制
     * @return 结果
     */
    public int insertQwContactWayUser(QwContactWayUser qwContactWayUser);

    /**
     * 修改联系我限制
     *
     * @param qwContactWayUser 联系我限制
     * @return 结果
     */
    public int updateQwContactWayUser(QwContactWayUser qwContactWayUser);

    /**
     * 删除联系我限制
     *
     * @param id 联系我限制主键
     * @return 结果
     */
    public int deleteQwContactWayUserById(Long id);

    /**
     * 批量删除联系我限制
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteQwContactWayUserByIds(Long[] ids);
    @Delete("delete from qw_contact_way_user where way_id = #{id}")
    void deleteQwContactWayUserByWayId(Long id);
    @Select("select * from qw_contact_way_user where user_id = #{userID} and corp_id = #{corpId} limit 1")
    QwContactWayUser selectQwContactWayUserByUserIdAndCompanyId(String userID, String corpId);
    @Select("select * from qw_contact_way_user where way_id = #{wayId} and day_count>0")
    List<QwContactWayUser> selectQwContactWayUserByWayIdAndCount(Long wayId);
}
